package org.nl.system.service.param;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import org.nl.common.domain.query.PageQuery;
import org.nl.system.service.param.dao.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 系统参数表 服务类
 * </p>
 *
 * @author generator
 * @since 2022-12-14
 */
public interface ISysParamService extends IService<Param> {

    /**
     * 分页查找
     *
     * @param whereJson 参数列表
     * @param page      分页信息
     * @return
     */
    Page<Param> queryPage(Map whereJson, PageQuery page);

    /**
     * 创建参数
     *
     * @param param
     */
    void create(Param param);

    /**
     * 更新
     *
     * @param param
     */
    void update(Param param);

    /**
     * 删除
     *
     * @param ids
     */
    void deleteByIds(List<String> ids);

    /**
     * 根据编码查询
     *
     * @param code code
     * @return Param
     */
    Param findByCode(String code);
}
